## org.apache.ivy.osgi.obr.xml
Class OBRXMLParser

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.OBRXMLParser

    public class OBRXMLParser

extends java.lang.Object

Constructor Summary
`OBRXMLParser()`

Method Summary
`static BundleRepoDescriptor` `parse(java.net.URI baseUri, java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OBRXMLParser

    public OBRXMLParser()

Method Detail

### parse

    public static BundleRepoDescriptor parse(java.net.URI baseUri,
                                             java.io.InputStream in)
                                      throws java.text.ParseException,
                                             java.io.IOException,
                                             org.xml.sax.SAXException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`
    `org.xml.sax.SAXException`